KoboTerminalNGX API DocsGet a free API key

Identifiers (one stock)

ISIN and FIGI for a single ticker.

http
GET https://koboterminal.com/api/ngxdata/identifiers/{symbol}

Plan: Starter and above (from ₦29,000 / $20 a month).

Parameters

NameInTypeRequiredDescription
symbolpathstringyesNGX ticker (e.g. DANGCEM)

Request

bash
curl "https://koboterminal.com/api/ngxdata/identifiers/DANGCEM" \
  -H "X-API-Key: $KOBO_API_KEY"
python
import os, requests

r = requests.get(
    "https://koboterminal.com/api/ngxdata/identifiers/DANGCEM",
    headers={"X-API-Key": os.environ["KOBO_API_KEY"]},
    timeout=30,
)
r.raise_for_status()
data = r.json()
javascript
const res = await fetch("https://koboterminal.com/api/ngxdata/identifiers/DANGCEM", {
  headers: { "X-API-Key": process.env.KOBO_API_KEY },
});
if (!res.ok) throw new Error(`Kobo API ${res.status}`);
const data = await res.json();

Response

Real response from the live API on 18 November 2026, trimmed to the first item of each list:

json
{
  "success": true,
  "isin_coverage": "verified",
  "identifiers": {
    "symbol": "DANGCEM",
    "legal_name": "Dangote Cement Plc",
    "isin": "NGDANGCEM008",
    "figi": "BBG0017Z8Z24",
    "isin_verified_at": "2026-09-12T03:21:20.248916+00:00"
  }
}

Errors

Standard errors apply: see Rate limits and errors.